### Class

# PapersView SearchContext

#### Description

    class PapersView.SearchContext : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### pps_search_context_new

No description available.

#### Instance methods

###### pps_search_context_activate

No description available.

since: 48.0

###### pps_search_context_autoselect_result

No description available.

since: 48.0

###### pps_search_context_get_active

No description available.

since: 48.0

###### pps_search_context_get_options

No description available.

###### pps_search_context_get_result_model

No description available.

###### pps_search_context_get_results_on_page

No description available.

since: 48.0

###### pps_search_context_get_search_term

No description available.

###### pps_search_context_has_results_on_page

No description available.

###### pps_search_context_release

No description available.

since: 48.0

###### pps_search_context_restart

No description available.

###### pps_search_context_set_options

No description available.

###### pps_search_context_set_search_term

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### PapersView.SearchContext:active

No description available.

###### PapersView.SearchContext:document-model

No description available.

###### PapersView.SearchContext:search-term

No description available.

#### Signals

###### PapersView.SearchContext::cleared

No description available.

###### PapersView.SearchContext::finished

No description available.

###### PapersView.SearchContext::result-activated

No description available.

###### PapersView.SearchContext::started

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PapersViewSearchContextClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.